singularity(1)

NAME

singularity-plugin-compile - Compile a Singularity plugin

SYNOPSIS

singularity plugin compile [compile options...]

DESCRIPTION

The 'plugin compile' command allows a developer to compile a Singularity
  plugin in the expected environment. The provided host directory is the
  location of the plugin's source code. A compiled plugin is packed into a SIF
  file.

NOTE: Before using this command, make sure that you trust the origin of the
  plugin, and that you are certain it does not contain any malicious code.

OPTIONS

-h, --help[=false]
    help for compile

-o, --out=""
    path of the SIF output file

EXAMPLE

      $ singularity plugin compile $HOME/singularity/test-plugin

SEE ALSO

singularity-plugin(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra